API ReferenceAccess Keys (API Keys)
Authorization
Descope Project ID:Access Key AuthorizationBearer <token>
Project ID:Access Key as bearer token.
In: header
Request Body
application/json
loginOptions?object
Exchange API key for access token
This API Endpoint will take an API key for the project and provide an access token to be used for accessing the application.
The session token JWT token will be valid for the configured Session Token Timeout, and its expiration time will be provided in the expiration field of the response object.
curl -X POST "https://api.descope.com/v1/auth/accesskey/exchange" \ -H "Content-Type: application/json" \ -d '{}'{ "keyId": "string", "sessionJwt": "string"}export interface Response {keyId?: stringsessionJwt?: string} Was this helpful?
Verifies the security questions for a user POST
Verifies the security questions for a user
Token Validation Key (V1) GET
### Get public key for session token validation (V1) This API endpoint will return the public key needed to handle the session token JWT validation. `projectId` is provided as a GET parameter, so this endpoint can be executed with a browser.